Bug 173888 - CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192 CVE-2005-3624 CVE-2005-3625 CVE-2005-3626 CVE-2005-3627 CVE-2005-3628)
CVE-2005-3193 xpdf issues (CVE-2005-3191 CVE-2005-3192 CVE-2005-3624 CVE-2005...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xpdf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,reported=20051103,pu...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-22 03:42 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-840
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 12:11:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Derek (4.82 KB, patch)
2005-11-22 03:42 EST, Mark J. Cox (Product Security)
no flags Details | Diff
Patch from Ubuntu (5.30 KB, patch)
2005-12-14 10:26 EST, Josh Bressers
no flags Details | Diff
Patch from Dirk Mueller to add additional missing checks (3.07 KB, patch)
2005-12-14 10:28 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-22 03:42:15 EST
Derek Noonburg sent us a patch for xpdf to correct a number of security issues.
 This is due to be public 20051201.

An attacker could construct a carefully crafted PDF file that could cause Xpdf
to crash or possibly execute arbitrary code when opened. 

This issue affects RHEL3, RHEL3, RHEL2.1
Comment 1 Mark J. Cox (Product Security) 2005-11-22 03:42:17 EST
Created attachment 121332 [details]
Proposed patch from Derek
Comment 3 Josh Bressers 2005-12-06 09:11:57 EST
This issue is now public:
http://www.foolabs.com/xpdf/download.html
Comment 4 Red Hat Bugzilla 2005-12-06 09:37:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-840.html
Comment 6 Josh Bressers 2005-12-14 10:24:28 EST
The original fix for these issues was incomplete, reopening bug.
Comment 7 Josh Bressers 2005-12-14 10:26:49 EST
Created attachment 122226 [details]
Patch from Ubuntu
Comment 8 Josh Bressers 2005-12-14 10:28:23 EST
Created attachment 122227 [details]
Patch from Dirk Mueller to add additional missing checks
Comment 9 Josh Bressers 2005-12-14 11:12:35 EST
There aren't currently any reproducers for these issues.

Please note that these issues affect xpdf, kdegraphics, cups, gpdf, tetex and
poppler.  Some cooperation will probably make things easier.
Comment 10 Ngo Than 2005-12-16 15:49:01 EST
it's now fixed in xpdf-3.00-11.10
Comment 11 Ngo Than 2005-12-16 15:50:06 EST
xpdf-2.02-9.8 and xpdf-0.92-17
Comment 14 Red Hat Bugzilla 2005-12-20 12:11:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-840.html
Comment 15 Josh Bressers 2006-01-06 12:59:33 EST
Adding the folling CVE ids to this errata:

CVE-2005-3624
CVE-2005-3625
CVE-2005-3626
CVE-2005-3627
CVE-2005-3628

These were all fixed in the errata RHSA-2005:840

Note You need to log in before you can comment on or make changes to this bug.